SDL Library Documentation
Prev |  | Next

# SDL_ConvertSurface

## Name

SDL_ConvertSurface -- Converts a surface to the same format as another surface.

## Synopsis

    #include "SDL.h"

``SDL_Surface *SDL_ConvertSurface`(SDL_Surface *src, SDL_PixelFormat *fmt, Uint32 flags);`

## Description

Creates a new surface of the specified format, and then copies and maps the given surface to it. If this function fails, it returns `NULL`.

The `flags` parameter is passed to `SDL_CreateRGBSurface` and has those semantics.

This function is used internally by `SDL_DisplayFormat`.

## Return Value

Returns either a pointer to the new surface, or `NULL` on error.

## See Also

`SDL_CreateRGBSurface`, `SDL_DisplayFormat`, SDL_PixelFormat, SDL_Surface

Prev | Home | Next
SDL_GetClipRect | Up | SDL_BlitSurface